package com.chinaitop.depot.intelligent.coldStorage.model;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 低温储粮-空调作业记录
 */
public class TKtinfoHistory {
    private String id;

    private String vcfcode;

    private String vdevcode;

    private String vdevname;

    private Integer currentmode;

    private Date starttime;

    private Date endtime;

    private BigDecimal energy;

    private String uperson;

    private String remark;

    private String orgId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getVcfcode() {
        return vcfcode;
    }

    public void setVcfcode(String vcfcode) {
        this.vcfcode = vcfcode == null ? null : vcfcode.trim();
    }

    public String getVdevcode() {
        return vdevcode;
    }

    public void setVdevcode(String vdevcode) {
        this.vdevcode = vdevcode == null ? null : vdevcode.trim();
    }

    public String getVdevname() {
        return vdevname;
    }

    public void setVdevname(String vdevname) {
        this.vdevname = vdevname == null ? null : vdevname.trim();
    }

    public Integer getCurrentmode() {
        return currentmode;
    }

    public void setCurrentmode(Integer currentmode) {
        this.currentmode = currentmode;
    }

    public Date getStarttime() {
        return starttime;
    }

    public void setStarttime(Date starttime) {
        this.starttime = starttime;
    }

    public Date getEndtime() {
        return endtime;
    }

    public void setEndtime(Date endtime) {
        this.endtime = endtime;
    }

    public BigDecimal getEnergy() {
        return energy;
    }

    public void setEnergy(BigDecimal energy) {
        this.energy = energy;
    }

    public String getUperson() {
        return uperson;
    }

    public void setUperson(String uperson) {
        this.uperson = uperson == null ? null : uperson.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }
}